using Microsoft.Extensions.Options;

namespace Indotalent.Infrastructure.Database;

public class DatabaseService(IOptions<DatabaseSettingsModel> options)
{
    private readonly DatabaseSettingsModel _settings = options.Value;

    public DatabaseSettingsModel GetConfiguration() => _settings;

    public DatabaseProviderModel GetActiveProvider()
    {
        if (_settings.MsSQL.IsUsed) return _settings.MsSQL;
        if (_settings.MySQL.IsUsed) return _settings.MySQL;
        if (_settings.PostgreSQL.IsUsed) return _settings.PostgreSQL;
        return new DatabaseProviderModel();
    }
}
